View Issue Details

IDProjectCategoryView StatusLast Update
0001044NoesisGUIC# SDKpublic2018-12-04 17:06
ReporterKeldorKatarnAssigned Tosfernandez 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version2.2.0b5 
Summary0001044: ItemCollection should implement IEnumerable
DescriptionItemCollection should implement IEnumerable and all other collection interfaces it supports.
Otherwise LINQ extension methods and other standard code can not be used on the collection.

It already exposes the GetEnumerator() method defined by IEnumerable, so it is just to add the interface to the inheritance list (other classes like Collection and FreezableCollection should add it too).
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-04-05 18:37 sfernandez New Issue
2017-04-05 18:37 sfernandez Status new => assigned
2017-04-05 18:37 sfernandez Assigned To => sfernandez
2017-10-09 17:30 sfernandez Reporter sfernandez => KeldorKatarn
2017-10-09 17:30 sfernandez Description Updated View Revisions
2018-11-01 02:14 jsantos View Status public => private
2018-11-22 20:18 sfernandez Target Version => 2.2.0
2018-11-22 20:18 sfernandez View Status private => public
2018-11-22 20:18 sfernandez Platform => Any
2018-12-04 17:06 sfernandez Status assigned => resolved
2018-12-04 17:06 sfernandez Resolution open => fixed
2018-12-04 17:06 sfernandez Fixed in Version => 2.2.0b5